[arch-commits] Commit in haskell-dbus/trunk (PKGBUILD xml-conduit-1.9.patch)
Felix Yan
felixonmars at archlinux.org
Thu Mar 19 16:57:17 UTC 2020
Date: Thursday, March 19, 2020 @ 16:57:15
Author: felixonmars
Revision: 600945
upgpkg: haskell-dbus 1.2.7-101: rebuild with xml-conduit 1.9.0.0
Added:
haskell-dbus/trunk/xml-conduit-1.9.patch
Modified:
haskell-dbus/trunk/PKGBUILD
-----------------------+
PKGBUILD | 11 +++++---
xml-conduit-1.9.patch | 64 ++++++++++++++++++++++++++++++++++++++++++++++++
2 files changed, 71 insertions(+), 4 deletions(-)
Modified: PKGBUILD
===================================================================
--- PKGBUILD 2020-03-19 16:55:10 UTC (rev 600944)
+++ PKGBUILD 2020-03-19 16:57:15 UTC (rev 600945)
@@ -4,7 +4,7 @@
_hkgname=dbus
pkgname=haskell-dbus
pkgver=1.2.7
-pkgrel=100
+pkgrel=101
pkgdesc="A client library for the D-Bus IPC system"
url="https://john-millikin.com/software/haskell-dbus/"
license=("GPL3")
@@ -14,12 +14,15 @@
'haskell-vector' 'haskell-xml-conduit' 'haskell-xml-types')
makedepends=('ghc' 'haskell-extra' 'haskell-quickcheck' 'haskell-resourcet' 'haskell-tasty'
'haskell-tasty-hunit' 'haskell-tasty-quickcheck')
-source=("https://hackage.haskell.org/packages/archive/${_hkgname}/${pkgver}/${_hkgname}-${pkgver}.tar.gz")
-sha512sums=('07ab78ae93b0249f7f2da0af59b5f958daa1b140287eab21962eb8ed53bc608dbd0d906d91a6a7e1bc8a9a82a2ad8e294b540ab0a6c3e01337fbb151a2211ca3')
+source=("https://hackage.haskell.org/packages/archive/${_hkgname}/${pkgver}/${_hkgname}-${pkgver}.tar.gz"
+ xml-conduit-1.9.patch)
+sha512sums=('07ab78ae93b0249f7f2da0af59b5f958daa1b140287eab21962eb8ed53bc608dbd0d906d91a6a7e1bc8a9a82a2ad8e294b540ab0a6c3e01337fbb151a2211ca3'
+ '0c29f5b6519b0122273ce1bf64b8af06c226063a11af375d6b0d8529d6da20f784c919cae1d31afe8bb31e32544fd4829d621bb2e146b604793f5fb14a78e99f')
prepare() {
cd $_hkgname-$pkgver
- sed -i -e 's/< *4/<5/' -e 's/< *2/<3/' -e 's/< *1.7/<2/' $_hkgname.cabal
+ patch -p1 -i ../xml-conduit-1.9.patch || :
+ sed -i -e 's/< *4/<5/' -e 's/< *2/<3/' -e 's/< *1/<2/' $_hkgname.cabal
}
build() {
Added: xml-conduit-1.9.patch
===================================================================
--- xml-conduit-1.9.patch (rev 0)
+++ xml-conduit-1.9.patch 2020-03-19 16:57:15 UTC (rev 600945)
@@ -0,0 +1,64 @@
+From b6148e0c540c17a75a41c0da2fb0c19c26330b30 Mon Sep 17 00:00:00 2001
+From: Andrey Sverdlichenko <blaze at rusty.zone>
+Date: Fri, 31 May 2019 20:14:25 -0400
+Subject: [PATCH] Build with xml-conduit-1.9.0.0
+
+---
+ dbus.cabal | 8 ++++----
+ lib/DBus/Introspection/Parse.hs | 14 +++++++-------
+ lib/DBus/Transport.hs | 2 +-
+ 3 files changed, 12 insertions(+), 12 deletions(-)
+
+diff --git a/lib/DBus/Introspection/Parse.hs b/lib/DBus/Introspection/Parse.hs
+index d50bb36..6ae0c25 100644
+--- a/lib/DBus/Introspection/Parse.hs
++++ b/lib/DBus/Introspection/Parse.hs
+@@ -24,7 +24,7 @@ data InterfaceChildren
+
+ parseXML :: ObjectPath -> T.Text -> Maybe Object
+ parseXML path xml =
+- runConduit $ yieldMany [xml] .| X.parseText' X.def .| X.force "parse error" (parseObject $ getRootName path)
++ runConduit $ yieldMany [xml] .| X.parseText X.def .| X.force "parse error" (parseObject $ getRootName path)
+
+ getRootName :: ObjectPath -> X.AttrParser ObjectPath
+ getRootName defaultPath = do
+@@ -64,13 +64,13 @@ parseInterface = X.tag' "interface" getName parseContent
+ pure $ interfaceName_ (T.unpack ifName)
+ parseContent ifName = do
+ elems <- X.many $ do
+- X.many_ $ X.ignoreTreeContent "annotation"
++ X.many_ $ X.ignoreTreeContent "annotation" X.ignoreAttrs
+ X.choose
+ [ parseMethod
+ , parseSignal
+ , parseProperty
+ ]
+- X.many_ $ X.ignoreTreeContent "annotation"
++ X.many_ $ X.ignoreTreeContent "annotation" X.ignoreAttrs
+ let base = Interface ifName [] [] []
+ addElem e (Interface n ms ss ps) = case e of
+ MethodDefinition m -> Interface n (m:ms) ss ps
+@@ -86,9 +86,9 @@ parseMethod = X.tag' "method" getName parseArgs
+ parseMemberName (T.unpack ifName)
+ parseArgs name = do
+ args <- X.many $ do
+- X.many_ $ X.ignoreTreeContent "annotation"
++ X.many_ $ X.ignoreTreeContent "annotation" X.ignoreAttrs
+ X.tag' "arg" getArg pure
+- X.many_ $ X.ignoreTreeContent "annotation"
++ X.many_ $ X.ignoreTreeContent "annotation" X.ignoreAttrs
+ pure $ MethodDefinition $ Method name args
+ getArg = do
+ name <- fromMaybe "" <$> X.attr "name"
+@@ -107,9 +107,9 @@ parseSignal = X.tag' "signal" getName parseArgs
+ parseMemberName (T.unpack ifName)
+ parseArgs name = do
+ args <- X.many $ do
+- X.many_ $ X.ignoreTreeContent "annotation"
++ X.many_ $ X.ignoreTreeContent "annotation" X.ignoreAttrs
+ X.tag' "arg" getArg pure
+- X.many_ $ X.ignoreTreeContent "annotation"
++ X.many_ $ X.ignoreTreeContent "annotation" X.ignoreAttrs
+ pure $ SignalDefinition $ Signal name args
+ getArg = do
+ name <- fromMaybe "" <$> X.attr "name"
More information about the arch-commits
mailing list